"use strict";
const common_vendor = require("../../common/vendor.js");
const common_libraries_setTabBar = require("../../common/libraries/setTabBar.js");
require("./model.js");
require("./method.js");
require("../../common/libraries/request.js");
const common_store_useWeAppAuthStore = require("../../common/store/useWeAppAuthStore.js");
require("../../common/libraries/userUserLogin.js");
require("../../common/libraries/updateMenu.js");
require("../../common/libraries/day.js");
require("../../gen/Apis.js");
require("../../common/libraries/apiLoading.js");
if (!Array) {
  const _easycom_hs_custom_title2 = common_vendor.resolveComponent("hs-custom-title");
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_hs_order_items2 = common_vendor.resolveComponent("hs-order-items");
  const _easycom_cc_root_view2 = common_vendor.resolveComponent("cc-root-view");
  (_easycom_hs_custom_title2 + _easycom_uni_icons2 + _easycom_hs_order_items2 + _easycom_cc_root_view2)();
}
const _easycom_hs_custom_title = () => "../../components/hs-custom-title/hs-custom-title.js";
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_hs_order_items = () => "../../components/hs-order-items/hs-order-items.js";
const _easycom_cc_root_view = () => "../../common/components/cc-root-view/cc-root-view.js";
if (!Math) {
  (_easycom_hs_custom_title + MyUserInfo + MyShowData + _easycom_uni_icons + _easycom_hs_order_items + _easycom_cc_root_view)();
}
const MyShowData = () => "./components/showData.js";
const MyUserInfo = () => "./components/useInfo.js";
const _sfc_defineComponent = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    getApp();
    common_store_useWeAppAuthStore.useWeAppAuthStore();
    common_vendor.onShow(async () => {
      var _a;
      common_libraries_setTabBar.setTabBarData(0);
      await ((_a = common_vendor.getCurrentInstance()) == null ? void 0 : _a.appContext.config.globalProperties.$onLaunched);
    });
    common_vendor.onShareAppMessage(() => {
      return {
        title: "废品回收助手",
        path: "/pages/index/index"
      };
    });
    common_vendor.onShareTimeline(() => {
      return {
        title: "废品回收助手",
        path: "/pages/index/index"
      };
    });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          title: "废品回收助手"
        }),
        b: common_vendor.p({
          type: "right",
          size: "13",
          color: "#3da605"
        })
      };
    };
  }
});
_sfc_defineComponent.__runtimeHooks = 6;
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_defineComponent, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/pages/index/index.vue"]]);
wx.createPage(MiniProgramPage);
